#include <stdio.h>

int main(void) {
    int n;

    printf("Input Integer: ");
    scanf("%d", &n);

    switch (n % 2) {
    	case 0:
	    puts("The number is even.");
	    break;
	case 1:
	    puts("The number is odd.");
	    break;
	default:
	    puts("Unknown Error");
    }

    return 0;
}
